
QGIS Application - Bug report #15742

 Error in Basic statistics for numeric fields

2016-10-22 09:33 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.18.0 Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 23664

Description

running the alg from Processing I get:

Uncaught error while executing algorithm

            Traceback (most recent call last):

              File

"/usr/share/qgis/python/plugins/processing/core/GeoAlgorithm.py", line

203, in execute

                self.processAlgorithm(progress)

              File

"/usr/share/qgis/python/plugins/processing/algs/qgis/BasicStatisticsNumbers.py",

line 175, in processAlgorithm

                data.append(self.tr('Interquartile Range (IQR): {}').format(iqr))

            ValueError: Single '{' encountered in format string

History

#1 - 2016-10-24 07:14 AM - Paolo Cavallini

- Affected QGIS version changed from 2.16.3 to 2.18.0

Still true for 2.18

#2 - 2016-10-25 05:38 AM - Alexander Bruy

Can't reproduce using Processing and QGIS test data. Can you share dataset which causes this?

#3 - 2016-10-25 05:41 AM - Paolo Cavallini

It happens with any data here, just tested.

#4 - 2016-10-25 08:53 AM - Alexander Bruy

Strange. Can't reproduce locally, and as I can see Travis also does not report any failure for this alg
#5 - 2016-10-25 08:55 AM - Paolo Cavallini

- OS version set to Sid

- Operating System set to Debian

Very strange indeed. Could it be due to a different version of a lib? I just tested again, and confirm the issue.

#6 - 2016-10-25 08:58 AM - Giovanni Manghi

- Status changed from Open to Feedback

Work fine here on 2.18 on both Windows (standalone) and Ubuntu 16.04, with any data.

#7 - 2016-10-25 08:59 AM - Giovanni Manghi

Paolo Cavallini wrote:

Very strange indeed. Could it be due to a different version of a lib? I just tested again, and confirm the issue.

can you test on another machine (with a different os/os version)? thanks.

#8 - 2016-10-25 09:07 AM - Paolo Cavallini

Sure, already planned, next days during a course, with several machines.

Thanks for checking.

#9 - 2016-10-26 01:12 AM - Paolo Cavallini

Verified on 10 Windows boxes, it works on only 2 of them, same error confirmed for the other 8.

#10 - 2016-10-26 04:03 AM - Giovanni Manghi

Paolo Cavallini wrote:

Verified on 10 Windows boxes, it works on only 2 of them, same error confirmed for the other 8.

where it fails, are all clean installations? have you tried purge the .qgis2 folder and see if anything changes?

On clean installations it does not fail.

#11 - 2016-10-26 05:22 AM - Paolo Cavallini

This happens in 9 machines, with a variety of settings. Some of them have uninstalled 2.16 before installing 2.18, some starts from a clean .qgis2.

It works in machines with a long history of installations.

I can do further testing after the course.
#12 - 2016-12-29 11:06 PM - Alexander Bruy

Still can not reproduce on Windows and Linux, also tests for this alg passed on Travis. Looks like local issue.

#13 - 2017-01-03 07:23 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

I can do further testing after the course.

further testing to find the likely local issue are needed. Please reopen if you find a real evidence of a core qgis problem.

#14 - 2017-10-20 03:37 PM - Joao Paulouro

I can confirm the bug on a QGIS 2.18.13 installation via homebrew on mac. The issue seems to only affect values with decimals (numeric, real, etc) and

can only reproduce on Postgis layers. Same layer exported as a shapefile works.

#15 - 2017-10-20 03:45 PM - Giovanni Manghi

- Description updated

Joao Paulouro wrote:

I can confirm the bug on a QGIS 2.18.13 installation via homebrew on mac. The issue seems to only affect values with decimals (numeric, real, etc)

and can only reproduce on Postgis layers. Same layer exported as a shapefile works.

chekc if you have a "processing" folder in ~/.qgis2/python/plugins/

if yes delete it, restart qgis and try again.
